# Interface IClassFileAttribute

All Known Subinterfaces:
  `IAnnotationDefaultAttribute, IBootstrapMethodsAttribute, ICodeAttribute, IConstantValueAttribute, IEnclosingMethodAttribute, IExceptionAttribute, IInnerClassesAttribute, ILineNumberAttribute, ILocalVariableAttribute, ILocalVariableTypeTableAttribute, IMethodParametersAttribute, IModuleAttribute, IModuleMainClassAttribute, IModulePackagesAttribute, INestMembersAttribute, IPermittedSubclassesAttribute, IRecordAttribute, IRuntimeInvisibleAnnotationsAttribute, IRuntimeInvisibleParameterAnnotationsAttribute, IRuntimeInvisibleTypeAnnotationsAttribute, IRuntimeVisibleAnnotationsAttribute, IRuntimeVisibleParameterAnnotationsAttribute, IRuntimeVisibleTypeAnnotationsAttribute, ISignatureAttribute, ISourceAttribute, IStackMapAttribute, IStackMapTableAttribute`

public interface IClassFileAttribute
This class represents a generic class file attribute. It is intended to be extended for any new attribute.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`long`
`getAttributeLength()`
Answer back the attribute length as specified in the JVM specifications.
`char[]`
`getAttributeName()`
Answer back the attribute name as specified in the JVM specifications.
`int`
`getAttributeNameIndex()`
Answer back the attribute name index in the constant pool as specified in the JVM specifications.

## Method Details

### getAttributeNameIndex

int getAttributeNameIndex()
Answer back the attribute name index in the constant pool as specified in the JVM specifications.

Returns:
  the attribute name index in the constant pool

### getAttributeName

char[] getAttributeName()
Answer back the attribute name as specified in the JVM specifications.

Returns:
  the attribute name

### getAttributeLength

long getAttributeLength()
Answer back the attribute length as specified in the JVM specifications.

Returns:
  the attribute length